List incorporations
GET
https://api.getstarted.ae/v1/incorporationsReturns incorporations in reverse creation order, optionally for one customer.
Query parameters
customerIdstringOnly incorporations for this customer.
statusenumFilter by status, e.g.
ACTION_REQUIRED.limitintegerPage size, 1 to 100. Defaults to 25.
cursorstringThe
nextCursorvalue from the previous page.
Responses
200OK. Returns the object shown in the example.- Every endpoint can also return
401for a missing or invalid key. See Errors.
curl -X GET "https://api.getstarted.ae/v1/incorporations?customerId=cus_01J9ZK4R7Q2M8X" \
-H "Authorization: Bearer $GETSTARTED_API_KEY"Response · 200
{
"object": "list",
"data": [
{
"id": "inc_01J9ZK7C3VYB5N",
"object": "incorporation",
"customerId": "cus_01J9ZK4R7Q2M8X",
"jurisdiction": "SG",
"type": "PRIVATE_LIMITED_COMPANY",
"status": "DRAFT",
"stage": "draft",
"requirementsVersion": "2026-09-01",
"requirements": {
"companyNameOptions": [
"Northwind Asia Pte. Ltd.",
"Northwind Labs Asia Pte. Ltd.",
"Northwind Pacific Pte. Ltd."
],
"businessActivity": "62011",
"financialYearEnd": "12-31",
"registeredOfficeAddressSource": "getstartedService"
},
"businessEntityId": null,
"submittedAt": null,
"completedAt": null,
"metadata": {
"internalRef": "NW-SG-01"
},
"livemode": false,
"createdAt": "2026-09-20T08:31:57Z",
"updatedAt": "2026-09-20T08:40:12Z"
}
],
"hasMore": false,
"nextCursor": null
}